Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
Interface PluginCollection<T extends Plugin>

All Superinterfaces:
  DomainObjectCollection<T>, java.lang.Iterable<T>

All Known Subinterfaces:
  PluginContainer, ProjectPluginsContainer

    public interface PluginCollection<T extends Plugin>

extends DomainObjectCollection<T>

A `PluginCollection` represents a collection of `Plugin` instances.

Method Summary
`void` | `allPlugins(Action<? super T> action)` Executes the given action against all plugins in this collection, and any plugins subsequently added to this collection.
`void` | `allPlugins(groovy.lang.Closure closure)` Executes the given closure against all plugins in this collection, and any plugins subsequently added to this collection.
`T` | `getAt(java.lang.String name)` Locates an object by name, failing if there is no such task.
`T` | `getByName(java.lang.String name)` Locates an object by name, failing if there is no such object.
`PluginCollection<T>` | `matching(Spec<? super T> spec)` Returns a collection which contains the objects in this collection which meet the given specification.
`Action<? super T>` | `whenPluginAdded(Action<? super T> action)` Adds an `Action` to be executed when a plugin is added to this collection.
`void` | `whenPluginAdded(groovy.lang.Closure closure)` Adds a closure to be called when a plugin is added to this collection.
`
`<S extends T> PluginCollection<S>`
` | `withType(java.lang.Class<S> type)` Returns a collection containing the objects in this collection of the given type.

Methods inherited from interface org.gradle.api.DomainObjectCollection
`allObjects, allObjects, findAll, findByName, getAll, getAsMap, getByName, whenObjectAdded, whenObjectAdded, whenObjectRemoved`

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### matching

    PluginCollection<T> matching(Spec<? super T> spec)

  Returns a collection which contains the objects in this collection which meet the given specification. The returned collection is live, so that when matching objects are added to this collection, they are also visible in the filtered collection.

  Specified by:
    `matching` in interface `DomainObjectCollection<T extends Plugin>`
  Parameters:
    `spec` - The specification to use.
  Returns:
    The collection of matching objects. Returns an empty collection if there are no such objects in this collection.

### getByName

    T getByName(java.lang.String name)
                               throws UnknownPluginException

  Locates an object by name, failing if there is no such object.

  Specified by:
    `getByName` in interface `DomainObjectCollection<T extends Plugin>`
  Parameters:
    `name` - The object name
  Returns:
    The object with the given name. Never returns null.
  Throws:
    `UnknownPluginException`

### withType

    <S extends T> PluginCollection<S> withType(java.lang.Class<S> type)

  Returns a collection containing the objects in this collection of the given type. The returned collection is live, so that when matching objects are later added to this collection, they are also visible in the filtered collection.

  Specified by:
    `withType` in interface `DomainObjectCollection<T extends Plugin>`
  Parameters:
    `type` - The type of objects to find.
  Returns:
    The matching objects. Returns an empty set if there are no such objects in this collection.

### whenPluginAdded

    Action<? super T> whenPluginAdded(Action<? super T> action)

  Adds an `Action` to be executed when a plugin is added to this collection.

  Parameters:
    `action` - The action to be executed
  Returns:
    the supplied action

### whenPluginAdded

    void whenPluginAdded(groovy.lang.Closure closure)

  Adds a closure to be called when a plugin is added to this collection. The plugin is passed to the closure as the parameter.

  Parameters:
    `closure` - The closure to be called

### allPlugins

    void allPlugins(Action<? super T> action)

  Executes the given action against all plugins in this collection, and any plugins subsequently added to this collection.

  Parameters:
    `action` - The action to be executed

### allPlugins

    void allPlugins(groovy.lang.Closure closure)

  Executes the given closure against all plugins in this collection, and any plugins subsequently added to this collection.

  Parameters:
    `closure` - The closure to be called

### getAt

    T getAt(java.lang.String name)
                           throws UnknownPluginException

  Locates an object by name, failing if there is no such task. This method is identical to `DomainObjectCollection.getByName(String)`. You can call this method in your build script by using the groovy `[]` operator.

  Specified by:
    `getAt` in interface `DomainObjectCollection<T extends Plugin>`
  Parameters:
    `name` - The object name
  Returns:
    The object with the given name. Never returns null.
  Throws:
    `UnknownPluginException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD